Skip to Content
0

NWDS or Eclipse for Fiori, SAPUI5 & SAP PO ESR/iFlows?

Nov 09, 2016 at 08:43 AM

240

avatar image
Former Member

Hi,

I´m thinking about to install NWDS 7.31 to be able to edit SAP PO objects and create iFlows. But as I also need to develop SAPUI 5 & Fiori applications, I would like to have a development environment, that can handle that together.

What is the right choice? NWDS or Eclipse? Can I install SAP PO ESR functionality in Eclipse?

Thank you for your help!

Arne

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

2 Answers

Best Answer
Raghuraman S Nov 09, 2016 at 08:49 AM
0

Hello Arne

Use higher version of NWDS, you do PI + UI5 developments.

Show 1 Share
10 |10000 characters needed characters left characters exceeded
Former Member

Hi Raghuraman,

thank you for the answer! Sounds good, that a higher version of NWDS has already included the UI5 toolkits, etc. But I have heard, that the NWDS has to be in the same version as the PO system. And our PO system is on Software-Build-Verison NW731EXT_17_REL. Can I still use the NWDS 7.5? Or any other way to do this? Eclipse with PO ESR plugins (if existing)?

Arne

0
Raghuraman S Nov 09, 2016 at 10:12 AM
0

Hello Anne,

UI5 developments should work in NWDS versions > 7.3,So you can install a NWDS according to PI version and start using both.

https://blogs.sap.com/2013/01/13/developing-sap-ui5-applications-in-netweaver-developer-studio-nwds/

https://blogs.sap.com/2016/03/17/stop-using-the-wrong-nwds-version-have-a-smoother-eclipse-experience/

Share
10 |10000 characters needed characters left characters exceeded